Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.builder
Class SwiftHRFSpecEntry

    java.lang.Object
      com.stc.swift.builder.SwiftHRFSpecEntry

    public class SwiftHRFSpecEntry

extends java.lang.Object

Field Summary
`static int` | `HRF_SPEC_FORMAT_1`
`static int` | `HRF_SPEC_FORMAT_2`

Constructor Summary
`SwiftHRFSpecEntry()`

Method Summary
`void` | `addOption(SwiftHRFSpecOption o)`
`void` | `addQualifier(java.lang.Object o)`
`void` | `calculateFieldNameOptionSuffixes()`
`boolean` | `getAlternative()`
`java.lang.String` | `getContentOrOptions()`
`java.lang.String` | `getDetailedFieldName()`
`int` | `getDupCount()`
`java.lang.String` | `getFieldName()`
`java.lang.String` | `getFieldNum()`
`java.lang.String` | `getFldTag()`
`boolean` | `getOptional()`
`java.util.List` | `getOptions()`
`SwiftHRFSpecEntrySet` | `getParent()`
`java.lang.String` | `getQualifier()`
`java.util.List` | `getQualifiers()`
`java.lang.String` | `getRealName()`
`java.lang.String` | `getStatus()`
`java.lang.String` | `getTag()`
`int` | `getType()`
`boolean` | `isContentLiteral()`
`void` | `isContentLiteral(boolean b)`
`void` | `setAlternative(boolean b)`
`void` | `setContentOrOptions(java.lang.String s)`
`void` | `setDetailedFieldName(java.lang.String s)`
`void` | `setDupCount(int i)`
`void` | `setFieldName(java.lang.String s)`
`void` | `setFieldNum(java.lang.String s)`
`void` | `setFldTag(java.lang.String s)`
`void` | `setOptional(boolean b)`
`void` | `setOptions(java.util.List l)`
`void` | `setParent(SwiftHRFSpecEntrySet parent)`
`void` | `setQualifier(java.lang.String s)`
`void` | `setQualifiers(java.util.List l)`
`void` | `setStatus(java.lang.String s)`
`void` | `setTag(java.lang.String s)`
`void` | `setType(int t)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HRF_SPEC_FORMAT_1

    public static final int HRF_SPEC_FORMAT_1

See Also:
  Constant Field Values

### HRF_SPEC_FORMAT_2

    public static final int HRF_SPEC_FORMAT_2

See Also:
  Constant Field Values

Constructor Detail

### SwiftHRFSpecEntry

    public SwiftHRFSpecEntry()

Method Detail

### setParent

    public void setParent(SwiftHRFSpecEntrySet parent)

### getParent

    public SwiftHRFSpecEntrySet getParent()

### setContentOrOptions

    public void setContentOrOptions(java.lang.String s)

### getContentOrOptions

    public java.lang.String getContentOrOptions()

### setDetailedFieldName

    public void setDetailedFieldName(java.lang.String s)

### getDetailedFieldName

    public java.lang.String getDetailedFieldName()

### setFieldName

    public void setFieldName(java.lang.String s)

### getFieldName

    public java.lang.String getFieldName()

### setFieldNum

    public void setFieldNum(java.lang.String s)

### getFieldNum

    public java.lang.String getFieldNum()

### setQualifier

    public void setQualifier(java.lang.String s)

### getQualifier

    public java.lang.String getQualifier()

### setStatus

    public void setStatus(java.lang.String s)

### getStatus

    public java.lang.String getStatus()

### setTag

    public void setTag(java.lang.String s)

### setFldTag

    public void setFldTag(java.lang.String s)

### getTag

    public java.lang.String getTag()

### getFldTag

    public java.lang.String getFldTag()

### setType

    public void setType(int t)

### getType

    public int getType()

### setOptional

    public void setOptional(boolean b)

### getOptional

    public boolean getOptional()

### setAlternative

    public void setAlternative(boolean b)

### getAlternative

    public boolean getAlternative()

### getQualifiers

    public java.util.List getQualifiers()

### setQualifiers

    public void setQualifiers(java.util.List l)

### getOptions

    public java.util.List getOptions()

### setOptions

    public void setOptions(java.util.List l)

### addOption

    public void addOption(SwiftHRFSpecOption o)

### addQualifier

    public void addQualifier(java.lang.Object o)

### isContentLiteral

    public void isContentLiteral(boolean b)

### isContentLiteral

    public boolean isContentLiteral()

### setDupCount

    public void setDupCount(int i)

### getDupCount

    public int getDupCount()

### calculateFieldNameOptionSuffixes

    public void calculateFieldNameOptionSuffixes()

### getRealName

    public java.lang.String getRealName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.